/*
 * host_config.h - host configuration header file
 *
 * Copyright (C) 2021 IOPSYS Software Solutions AB. All rights reserved.
 *
 * Author: nevadita.chatterjee@iopsys.eu
 *
 */

#ifndef HOSTD_CONFIG_H
#define HOSTD_CONFIG_H

#define MAPAGENT_CONFIG "mapagent"
#define HOST_CONFIG "hosts"

struct host_config {
	bool persistent;
	uint32_t age_timer;
};

int host_config_global(struct host_config *cfg);

struct uci_section *config_get_section(struct uci_context *ctx,
		struct uci_package *pkg, const char *type, const char *key,
		const char *value);
struct uci_section *config_add_section(struct uci_context *ctx,
		struct uci_package *pkg, const char *config, const char *type,
		char *name, const char *key, const char *value);
int config_add_default_host_mac(const char *config, const char *type,
		const char *macaddr, bool persistent);
bool config_set_host_option(char *package_name,
		char *section_type, char *search_key, char *search_val,
		char *option, char *value, bool persistent);
int config_del_section(const char *config, const char *type, const char *value,
		bool persistent);
int host_config_mapagent_get(bool *enable);
bool config_get_al_ifname(char *ifname);

#endif /* HOSTD_CONFIG_H */
